package com.ispntest;

import org.infinispan.Cache;
import org.infinispan.util.logging.Log;
import org.infinispan.util.logging.LogFactory;

public class Node2 extends AbstractNode {

	private Log log = LogFactory.getLog(LoggingListener.class);

	public static void main(String[] args) throws Exception {
		new Node2().run();
	}

	public void run() {
		log.info(String.format("Node:[%d] Starting...", getNodeId()));

		Cache<String, String> cache = getCacheManager().getCache("xml-configured-cache");

		// Add a listener so that we can see the puts to this node
		cache.addListener(new LoggingListener());
	}

	@Override
	protected int getNodeId() {
		return 1;
	}

}
